//+------------------------------------------------------------------+
//|                                                  spread swap.mq4 |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#property indicator_chart_window
//----
double    swaplong,swapshort,swapl,swaps;
double spread;
double pip;
int real_pip_value;
double pip_value;
string half_symbol;
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
  int init()
  {
   IndicatorShortName("Swap monitor");
   pip = Point;
   if(Digits==3 || Digits==5) pip = 10*Point;
//----
  return(0);}
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int deinit()
   {
      return(0);
   }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int start()
  {
   if ( Digits == 4 || Digits == 5 )
      real_pip_value = 10;
   else
      if ( Digits == 2 || Digits == 3 )
         real_pip_value = 1000;
   
   half_symbol = StringSubstr( Symbol(), 3, 0 );
   pip_value = real_pip_value / MarketInfo( "EUR" + half_symbol, MODE_BID );
   spread=MarketInfo(Symbol(),13)*Point/pip;
   swaplong=NormalizeDouble(MarketInfo(Symbol(),18),2);
   swapshort=NormalizeDouble(MarketInfo(Symbol(),19),2);
   swapl=NormalizeDouble(swaplong*pip_value,2);
   swaps=NormalizeDouble(swapshort*pip_value,2);
//----
   /*ObjectCreate("spread/swap monitor1", OBJ_LABEL, WindowFind("spread/swap monitor ("+Symbol()+")"), 0, 0);
   ObjectSetText("spread/swap monitor1","Current Spread :", 18, "Arial Black", Gold);
   ObjectSet("spread/swap monitor", OBJPROP_CORNER, 0);
   ObjectSet("spread/swap monitor1", OBJPROP_XDISTANCE, 50);
   ObjectSet("spread/swap monitor1", OBJPROP_YDISTANCE, 15);*/
//----
  /* ObjectCreate("spread/swap monitor2", OBJ_LABEL, WindowFind("spread/swap monitor ("+Symbol()+")"), 0, 0);
   ObjectSetText("spread/swap monitor2",DoubleToStr(spread ,1),18, "Arial Black", Gold);
   ObjectSet("spread/swap monitor2", OBJPROP_CORNER, 0);
   ObjectSet("spread/swap monitor2", OBJPROP_XDISTANCE, 300);
   ObjectSet("spread/swap monitor2", OBJPROP_YDISTANCE, 15);*/
//----
   ObjectCreate("spread/swap monitor3", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("spread/swap monitor3","Buy Swap :", 14, "Arial", Navy);
   ObjectSet("spread/swap monitor3", OBJPROP_CORNER, 0);
   ObjectSet("spread/swap monitor3", OBJPROP_XDISTANCE, 450);
   ObjectSet("spread/swap monitor3", OBJPROP_YDISTANCE, 0);
//----
   ObjectCreate("spread/swap monitor4", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("spread/swap monitor4",DoubleToStr( swapl ,2),14, "Arial", Navy);
   ObjectSet("spread/swap monitor4", OBJPROP_CORNER, 0);
   ObjectSet("spread/swap monitor4", OBJPROP_XDISTANCE, 550);
   ObjectSet("spread/swap monitor4", OBJPROP_YDISTANCE, 0);
//----
   ObjectCreate("spread/swap monitor5", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("spread/swap monitor5","Sell Swap :", 14, "Arial", FireBrick);
   ObjectSet("spread/swap monitor5", OBJPROP_CORNER, 0);
   ObjectSet("spread/swap monitor5", OBJPROP_XDISTANCE, 750);
   ObjectSet("spread/swap monitor5", OBJPROP_YDISTANCE, 0);
//----
   ObjectCreate("spread/swap monitor6", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("spread/swap monitor6",DoubleToStr( swaps ,2),14, "Arial", FireBrick);
   ObjectSet("spread/swap monitor6", OBJPROP_CORNER, 0);
   ObjectSet("spread/swap monitor6", OBJPROP_XDISTANCE, 850);
   ObjectSet("spread/swap monitor6", OBJPROP_YDISTANCE, 0);
//----
   return(0);
  }
//+------------------------------------------------------------------+